aldidsCoop
LoanAmorts

Update LoanAmort

On this page 6
PUT /loan-amorts/{id}

Parameters

Path
id string Required

Request Body

application/json
object
  • loan_id string nullable
  • member_id string nullable
  • annual integer nullable
  • period string nullable
  • interest number nullable
  • principal number nullable
  • payment number nullable
  • start_balance number nullable
  • end_balance number nullable
  • status string nullable
    Allowed values pending paid overdue complete null

Responses

200

application/json
object

401

Unauthenticated

application/json
object
  • message string Required

    Error overview.

422

Validation error

application/json
object
  • message string Required

    Errors overview.

  • errors object Required

    A detailed description of each field that failed validation.